routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::group(['middleware' => 'locale'], function () {

    Route::get('change-language/{lang}', 'IndexController@getChangeLanguage')->name('home.change-language');

    Route::get('/', 'IndexController@getHome')->name('home.index');

    Route::get('/gioi-thieu', 'IndexController@getListAbout')->name('home.about');

    Route::get('/tuyen-dung/{slug}', 'IndexController@getSingleRecruitment')->name('home.single-recruitment');

    Route::get('/tuyen-dung', 'IndexController@getListRecruitment')->name('home.recruitment');

    Route::get('/tin-tuc', 'IndexController@getListNew')->name('home.news');

    Route::get('/tin-tuc/{slug}', 'IndexController@getSingleNews')->name('home.single-news');
    
    Route::get('/hinh-anh', 'IndexController@getListImage')->name('home.image');

    Route::get('/video', 'IndexController@getListVideo')->name('home.video');

    Route::get('/video/{slug}', 'IndexController@getSingleVideo')->name('home.single-video');

    Route::get('/lien-he', 'IndexController@getContact')->name('home.contact');

    Route::post('/lien-he', 'IndexController@postContact')->name('home.post-contact');

    Route::post('/tuyen-dung', 'IndexController@postRecruitment')->name('home.post-recruitment');

    Route::post('/dang-ky', 'IndexController@postMember')->name('home.post-member');

    Route::post('/dang-nhap', 'IndexController@postLogin')->name('home.post-login');

    Route::get('/logout', 'IndexController@postLogout')->name('home.logout');

    Route::post('/quen-mat-khau', 'IndexController@getForgotPassword')->name('home.quen-mat-khau');

    Route::get('/resetPassword/{token}', 'IndexController@resetPassword')->name('home.resetPassword');

    Route::post('/new-password', 'IndexController@newPassword')->name('home.new-password');

    /*  Quản lý tài khoản  */
    Route::group(['middleware' => 'customer_auth'], function () {
        // Đăng nhập thành công
        Route::get('/san-pham', 'ProductsController@listProducts')->name('home.list-products');

        Route::post('add-cart', 'ProductsController@postAddCart')->name('home.post-add-cart');

        Route::get('get-add-cart', 'ProductsController@getAddCart')->name('home.get-add-cart');

        Route::get('gio-hang', 'ProductsController@gioHang')->name('home.gio-hang');

        Route::get('update-giohang', 'ProductsController@getUpdateCart')->name('home.update-giohang');

        Route::get('remove-card', 'ProductsController@getRemoveCart')->name('home.remove-card');

        Route::get('destroy-card', 'ProductsController@cartDestroy')->name('home.destroy-card');
        /*  Quản lý tài khoản  */
        Route::get('thong-tin-tai-khoan', 'ManagerAccountController@thongTinTaiKhoan')->name('home.thong-tin-tai-khoan');

        Route::post('cap-nhap-tai-khoan', 'ManagerAccountController@postUpdateAccount')->name('home.cap-nhap-tai-khoan');

        Route::post('cap-nhap-mat-khau', 'ManagerAccountController@postUpdatePassword')->name('home.cap-nhap-mat-khau');

        Route::get('tai-khoan-ngan-hang', 'ManagerAccountController@bankAccount')->name('home.tai-khoan-ngan-hang');

        Route::post('cap-nhap-tai-khoan-ngan-hang', 'ManagerAccountController@postBankAccount')->name('home.cap-nhap-tai-khoan-ngan-hang');

        Route::get('nap-tien', 'ManagerAccountController@napTien')->name('home.nap-tien');

        Route::post('post-nap-tien', 'ManagerAccountController@postNapTien')->name('home.post-nap-tien');

        Route::get('lich-su-giao-dich', 'ManagerAccountController@TransactionHistory')->name('home.lich-su-giao-dich');

        Route::get('/export','ManagerAccountController@export_Lichsu_Giaodich')->name('home.export-giaodich');

        Route::get('dat-hang','ManagerAccountController@datHang')->name('home.dat-hang');

        Route::get('lich-su-mua-hang','ManagerAccountController@lichSuMuaHang')->name('home.lich-su-mua-hang');

        Route::get('lich-su-mua-hang-dlcd','ManagerAccountController@lichSuMuaHangDaiLyCapDuoi')->name('home.lich-su-mua-hang-dlcd');

        Route::get('quan-ly-dai-ly','ManagerAccountController@quanLyDaiLy')->name('home.quan-ly-dai-ly');


        Route::get('doanh-thu','ManagerAccountController@doanh_Thu')->name('home.doanh-thu');

        Route::get('dang-ky-mua-hang','ManagerAccountController@dang_Ky_Mua_Hang')->name('home.dang-ky-mua-hang');

        
    });
    Route::get('chi-tiet-daily/{id}','ManagerAccountController@chi_Tiet_Dai_Ly')->name('home.chi-tiet-daily');

    Route::get('chi-tiet-don-hang/{id}','ManagerAccountController@chiTietDonHang')->name('home.chi-tiet-don-hang');

    Route::get('chi-tiet-daily-f1/{id}','ManagerAccountController@chi_Tiet_Dai_Ly_F1')->name('backend.chi-tiet-daily');

});


Route::group(['namespace' => 'Admin'], function () {

    Route::group(['prefix' => 'backend', 'middleware' => 'auth'], function () {
        Route::get('/home', 'HomeController@index')->name('backend.home');

        Route::resource('users', 'UserController', ['except' => [
            'show'
        ]]);

        Route::resource('image', 'ImageController', ['except' => [
            'show'
        ]]);
        Route::post('image/postMultiDel', ['as' => 'image.postMultiDel', 'uses' => 'ImageController@deleteMuti']);

        // tuyển dụng
        Route::resource('recruitment', 'RecruitmentController', ['except' => ['show']]);
        Route::post('recruitment/postMultiDel', ['as' => 'recruitment.postMultiDel', 'uses' => 'RecruitmentController@deleteMuti']);
        Route::get('recruitment/get-slug', 'RecruitmentController@getAjaxSlug')->name('recruitment.get-slug');

        // Bài viết
        Route::resource('posts', 'PostController', ['except' => ['show']]);
        Route::post('posts/postMultiDel', ['as' => 'posts.postMultiDel', 'uses' => 'PostController@deleteMuti']);
        Route::get('posts/get-slug', 'PostController@getAjaxSlug')->name('posts.get-slug');

        // Ảnh
        Route::resource('picture', 'PictureController', ['except' => ['show']]);
        Route::post('picture/postMultiDel', ['as' => 'picture.postMultiDel', 'uses' => 'PictureController@deleteMuti']);

        // Video
        Route::resource('video', 'VideoController', ['except' => ['show']]);
        Route::post('video/postMultiDel', ['as' => 'video.postMultiDel', 'uses' => 'VideoController@deleteMuti']);
        Route::get('video/get-slug', 'VideoController@getAjaxSlug')->name('video.get-slug');

        /*Danh mục sản phẩm*/
        Route::resource('category', 'CategoriesController', ['except' => ['show']]);
        
        /*Danh sách sản phẩm*/
        Route::resource('products', 'ProductsController', ['except' => ['show']]);
        Route::post('products/postMultiDel', ['as' => 'products.postMultiDel', 'uses' => 'ProductsController@deleteMuti']);
        Route::get('products/get-slug', 'ProductsController@getAjaxSlug')->name('products.get-slug');

        /*  Quản lý doanh thu  */
        Route::resource('orders', 'OrdersController', ['except' => ['show']]);

        Route::get('xac-nhan-don-hang', 'OrdersController@xacNhanDonHang')->name('orders.xac-nhan');

        Route::get('doanh-thu', 'OrdersController@doanhThu')->name('orders.doanh-thu');

        Route::get('chi-tiet-don-hang/{id}','OrdersController@chiTietDonHang')->name('orders.chi-tiet-don-hang');
        
        // Route::get('tao-don-hang-thu-cong', 'OrdersController@taoDonHangThuCong')->name('orders.tao-don-hang-thu-cong');
        // Route::post('post-check-user', 'OrdersController@postCheckUser')->name('orders.post-check-user');

        Route::get('get-products', 'OrdersController@getProducts')->name('orders.get-products');

        Route::get('tao-don-hang', 'OrdersController@createOrder')->name('orders.tao-don-hang');

        Route::post('post-tao-don-hang-thu-cong', 'OrdersController@postTaoDonHangThuCong')->name('orders.post-tao-don-hang-thu-cong');




        Route::get('bang-luong', 'MemberController@bang_Luong')->name('orders.bang-luong');

        Route::post('xuat-bang-luong', 'MemberController@export_Bang_Luong')->name('orders.export-bang-luong');

        Route::get('chi-tiet-luong/{id}', 'MemberController@chi_Tiet_Luong')->name('orders.chi-tiet-luong');
        Route::post('xac-nhan-luong', 'MemberController@xac_Nhan_Luong')->name('orders.xac-nhan-luong');
        /*  Quản lý nạp tiền  */
        Route::resource('recharge', 'RechargeController', ['except' => ['show']]);
        Route::post('recharge/postMultiDel', ['as' => 'recharge.postMultiDel', 'uses' => 'RechargeController@deleteMuti']);
        Route::get('recharge/update-money', ['as' => 'recharge.update-money', 'uses' => 'RechargeController@update_Money']);
        Route::get('recharge/xac-nhan', ['as' => 'recharge.xac-nhan', 'uses' => 'RechargeController@xac_nhan_chuyen_tien']);

        /*  Quản lý thành viên  */
        Route::resource('member', 'MemberController', ['except' => ['show']]);
        Route::get('member/lock/{id}', 'MemberController@lockMember')->name('member.lock');
        Route::get('member/unlock/{id}', 'MemberController@unlocklockMember')->name('member.unlock');
        Route::get('member/filterdate', 'MemberController@filterDate')->name('member.filterdate');
        Route::get('member/rank', 'MemberController@rankMember')->name('member.rank');
        Route::get('member/rank/add', 'MemberController@addRankMember')->name('member.addrank');
        Route::post('member/rank/postadd', 'MemberController@postAddRankMember')->name('member.postaddrank');
        Route::get('member/xac-nhan/{id}', 'MemberController@member_Xacnhan')->name('member.xac-nhan');

app/Models/Image.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Image extends Model
{
    protected $table = 'images';
    
    protected $fillable = ['name', 'image', 'link', 'decs', 'type','status'];
}

app/Http/Controllers/Admin/ImageController.php
<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Image;

class ImageController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $data = Image::where('type',$request->type)->orderBy('created_at', 'DESC')->get();
        return view('backend.image.list', compact('data'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('backend.image.add');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request,
            [
                'image' => 'required',
                'name'  => 'max:100',
            ],
            [
                'image.required' => 'Bạn chưa chọn ảnh',
                'name.max'       => 'Trường tiêu đề phải nhỏ hơn 100 ký tự.'
            ]
        );
        $data = [
            'image' => $request->image,
            'name' => $request->name,
            'link' => $request->link,
            'decs' => $request->decs,
            'status' => $request->status == 1 ? 1 : 0,
            'type' => $request->type
        ];

       
        $image = Image::create($data);
        flash('Thêm mới thành công.')->success();
        return redirect()->route('images.index', ['type' => $request->type]);

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data = Image::findOrFail($id);

        return view('backend.image.edit', compact('data'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request,
            [
                'name' => 'max:100',
                'image' => 'required',
            ],
            [
                'image.required' => 'Bạn chưa chọn ảnh',
                'name.max' => 'Trường tiêu đề phải nhỏ hơn 100 ký tự.'
            ]
        );
        $data = [
            'image' => $request->image,
            'name' => $request->name,
            'link' => $request->link,
            'decs' => $request->decs,
            'status' => $request->status == 1 ? 1 : 0,
            'type' => $request->type
        ];
        $image = Image::find($id)->update($data);
        flash('Cập nhật thành công.')->success();
        return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Image::destroy($id);
        flash('Xóa thành công.')->success();
        return redirect()->back();
    }

    public function deleteMuti(Request $request)
    {
        if ($request->has('chkItem')) {
            foreach ($request->chkItem as $id) {
                Image::destroy($id);
            }
            flash('Xóa thành công.')->success();
            return redirect()->back();
        }else{
            flash('Bạn chưa chọn dữ liệu cần xóa.')->error();
            return redirect()->back();
        }
    }
}

resources/views/backend/image/add.blade.php
@extends('backend.layouts.app')
@section('controller', request()->get('type') == 'slider' ? 'Slider' : 'Đối tác' )
@section('action','Thêm mới')
@section('controller_route', route('image.index').'?type='.request()->get('type'))
@section('content')
    <div class="content">
        <div class="clearfix"></div>
        <div class="box box-primary">
            <div class="box-body">
                @include('flash::message')
                <form action="{{ route('image.store') }}" method="POST">
                    @csrf
                    <div class="nav-tabs-custom">
                        <ul class="nav nav-tabs">
                            <li class="active"><a href="#activity" data-toggle="tab" aria-expanded="true">{{ request()->get('type') == 'slider' ? 'Slider' : 'Đối tác' }}</a>
                            </li>
                        </ul>
                        <div class="tab-content">
                            <div class="tab-pane active" id="activity">
                                <div class="row">
                                    <div class="col-lg-2">
                                        <div class="form-group">
                                            <label>Hình ảnh</label>
                                            <div class="image">
                                               <div class="image__thumbnail">
                                                   <img src="{{ old('image') ?  old('image') : __IMAGE_DEFAULT__ }}"  data-init="{{ __IMAGE_DEFAULT__ }}">
                                                   <a href="javascript:void(0)" class="image__delete" onclick="urlFileDelete(this)">
                                                    <i class="fa fa-times"></i></a>
                                                   <input type="hidden" value="" name="image"  />
                                                   <div class="image__button" onclick="fileSelect(this)"><i class="fa fa-upload"></i> Upload</div>
                                                </div>
                                            </div>
                                       </div>
                                    </div>

                                    <div class="col-lg-10">
                                        @if (request()->get('type') == 'slider')
                                            <div class="form-group">
                                                <label>Tiêu đề</label>
                                                <input type="text" class="form-control" name="name" id="name"
                                                       value="{!! old('name') !!}" required>
                                            </div>
                                            <div class="form-group">
                                                <label>Đường dẫn (Link)</label>
                                                <input type="text" class="form-control" name="link" id="link"
                                                       value="{!! old('link') !!}" required>
                                            </div>
                                        @else
                                            <div class="form-group">
                                                <label>Tiêu đề</label>
                                                <input type="text" class="form-control" name="name" id="name"
                                                   value="{!! old('name') !!}" required>
                                            </div>
                                            <div class="form-group">
                                                <label>Đường dẫn (Link)</label>
                                                <input type="text" class="form-control" name="link" id="link"
                                                       value="{!! old('link') !!}" required>
                                            </div>
                                        @endif
                                        <input type="hidden" name="type" value="{{ request()->get('type') }}">
                                        <div class="form-group">
                                            <label>Trạng thái</label> <br>
                                            <input type="checkbox" name="status" value="1" id="status" checked>
                                            <label for="status" class="lbl">Hiển thị</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-primary">Lưu lại</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@stop



resources/views/backend/image/edit.blade.php
@extends('backend.layouts.app')
@section('controller', request()->get('type') == 'slider' ? 'Slider' : 'Đối tác' )
@section('action','Cập nhật')
@section('controller_route', route('image.index').'?type='.request()->get('type'))
@section('content')
    <div class="content">
        <div class="clearfix"></div>
        <div class="box box-primary">
            <div class="box-body">
                @include('flash::message')
                <form action="{{ route('image.update', $data->id) }}" method="POST">
                    @csrf
                    {{ method_field('PUT') }}
                    <div class="nav-tabs-custom">
                        <ul class="nav nav-tabs">
                            <li class="active"><a href="#activity" data-toggle="tab" aria-expanded="true">{{ request()->get('type') == 'slider' ? 'Slider' : 'Đối tác' }}</a>
                            </li>
                        </ul>
                        <div class="tab-content">
                            <div class="tab-pane active" id="activity">
                                <div class="row">
                                    <div class="col-lg-2">
                                        <div class="form-group">
                                            <label>Hình ảnh</label>
                                            <div class="image">
                                               <div class="image__thumbnail">
                                                   <img src="{{ $data->image ? $data->image : __IMAGE_DEFAULT__ }}"  data-init="{{ __IMAGE_DEFAULT__ }}">
                                                   <a href="javascript:void(0)" class="image__delete" onclick="urlFileDelete(this)">
                                                    <i class="fa fa-times"></i></a>
                                                   <input type="hidden" value="{{ old('image', @$data->image) }}" name="image"  />
                                                   <div class="image__button" onclick="fileSelect(this)"><i class="fa fa-upload"></i> Upload</div>
                                                </div>
                                            </div>
                                       </div>
                                    </div>

                                    <div class="col-lg-10">
                                        @if (request()->get('type') == 'slider')
                                            <div class="form-group">
                                                <label>Tiêu đề</label>
                                                <input type="text" class="form-control" name="name" id="name"
                                                       value="{!! old('name', @$data->name) !!}" required>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label>Đường dẫn (Link)</label>
                                                <input type="text" class="form-control" name="link" id="link"
                                                       value="{!! old('link', @$data->link) !!}" required>
                                            </div>
                                        @else
                                            <div class="form-group">
                                                <label>Tiêu đề</label>
                                                <input type="text" class="form-control" name="name" id="name"
                                                   value="{!! old('name', @$data->name) !!}" required>
                                            </div>
                                            <div class="form-group">
                                                <label>Đường dẫn (Link)</label>
                                                <input type="text" class="form-control" name="link" id="link"
                                                       value="{!! old('link', @$data->link) !!}" required>
                                            </div>
                                        @endif
                                        <input type="hidden" name="type" value="{{ request()->get('type') }}">
                                        <div class="form-group">
                                            <label>Trạng thái</label> <br>
                                            <input type="checkbox" name="status" value="1" id="status" 
                                            {{ @$data->status ==  1 ? 'checked' : null }}>
                                            <label for="status" class="lbl">Hiển thị</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-primary">Lưu lại</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@stop



resources/views/backend/image/list.blade.php

@extends('backend.layouts.app')
@section('controller', request()->get('type') == 'slider' ? 'Slider' : 'Đối tác' )
@section('action','Danh sách')
@section('controller_route', route('image.index').'?type='.request()->get('type'))
@section('content')
    <div class="content">
        <div class="clearfix"></div>
        <div class="box box-primary">
            <div class="box-body">
                @include('flash::message')
                <form action="{{ route('image.postMultiDel') }}" method="POST">
                    @csrf
                    <div class="btnAdd">
                        <a href="{{ route('image.create') }}?type={{ request()->get('type') }}">
                            <fa class="btn btn-primary"><i class="fa fa-plus"></i> Thêm</fa>
                        </a>
                        <button type="submit" class="btn btn-danger" onclick="return confirm('Bạn có chắc chắn muốn xóa ?')"><i class="fa fa-trash-o"></i> Xóa
                        </button>
                    </div>

                    <table id="example1" class="table table-bordered table-striped table-hover">
                        <thead>
                            <tr>
                                <th><input type="checkbox" name="chkAll" id="chkAll"></th>
                                <th>STT</th>
                                <th>Hình ảnh</th>
                                <th width="30%">Tiêu đề</th>
                                <th>Link</th>
                                <th>Trạng thái</th>
                                <th width="150px">Thao tác</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($data as $item)
                                <tr>
                                    <td><input type="checkbox" name="chkItem[]" value="{!! $item['id'] !!}"></td>
                                    <td>{{ $loop->index+1 }}</td>
                                    <td>
                                        <img src="{{ renderImage($item->image) }}" class="img-responsive imglist">
                                    </td>
                                    <td>{!! $item->name !!}</td>
                                    <td>{{  $item->link }}</td>
                                    <td>
                                        @if ($item->status == 1 )
                                            <span class="label label-success">Đang hiển thị</span>
                                        @else
                                            <span class="label label-danger">Đang ẩn</span>
                                        @endif
                                    </td>
                                    <td>
                                    <div>
                                        <a href="{{ route('image.edit', ['id'=> $item->id, 'type' => $item->type]) }}" title="Sửa">
                                            <i class="fa fa-pencil fa-fw"></i> Sửa
                                        </a> &nbsp; &nbsp; &nbsp;
                                          <a href="javascript:void(0);" class="btn-destroy" 
                                          data-href="{{ route( 'image.destroy',  $item->id ) }}"
                                          data-toggle="modal" data-target="#confim">
                                          <i class="fa fa-trash-o fa-fw"></i> Xóa
                                          </a>
                                      </div>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </form>
            </div>
        </div>
    </div>
@stop